package com.tencent.im.aidl;
import com.tencent.im.aidl.ICallback;
import com.tencent.im.aidl.ITIMCallBack;
import com.tencent.im.aidl.ITIMValueCallBack;
/**
 * Created by mingchunhu on 2017/9/28.
 *
 * im进程不支持多进程同时登陆，在im云和客户端间做一层代理，代理负责消息分发
 */

interface IMRemoteNotify {
    void testApi();//测试客户端和服务器通信
    void registCallback(String userId, in ICallback cb);
    void unRegistCallback(in ICallback cb);
//    void registerIM(String userId);
    //加入群组，im云接口代理
    void joinGroup(String groupId, String reason, in ITIMCallBack callback);
    //退出群组，im云接口代理
    void quitGroup(String groupId, in ITIMCallBack callback);
    //注册云通信
    void registIM(String userId);
    //注销im云，im云接口代理
    void forceUnRegisterIM();

    //图片上传
    int submitUploadTask(String path, in ITIMValueCallBack callback, int level);
    //获取上传进度
    int getUploadProgress(long taskId);
}
